Subject: bug#29781: closed (Re: [bug#29781] [PATCH 2/2] gnu: python-pygpgme: Use GnuPG 1 for the test suite.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 20 Dec 2017 20:16:08 +0000

Your bug report

#29781: GnuPG 2.0 end-of-life

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29781: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29781
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#29781] [PATCH 2/2] gnu: python-pygpgme: Use GnuPG 1 for the test suite.
From: Leo Famulari <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Wed, 20 Dec 2017 15:15:39 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed, Dec 20, 2017 at 02:29:02PM +0100, Ludovic Courtès wrote:
> Leo Famulari <[email-masked]> skribis:
> 
> > * gnu/packages/gnupg.scm (python-pygpgme, python2-pygpgme)[inputs]: Use gnupg-1
> > and make it a native-input.
> 
> LGTM!
> 
> BTW, gpgme itself provides Python bindings, which are recommended, I
> think.  Should we build them?

We package them as python-gpg.

However, this PyPi-based package seems to be abandoned by the GPGME
maintainers. At least, it doesn't get updated regularly.

I've been trying to build the bindings as part of the GPGME build, so
that we can get the latest version, but I haven't had time to finish the
work yet.

Once we are able to build the bindings from the latest GPGME, we will be
able to drop the pygpgme package and just use the GPGME bindings for
the package 'alot', which is the only user of pygpgme.

Subject: GnuPG 2.0 end-of-life
From: Leo Famulari <[email-masked]>
To: [email-masked]
Date: Wed, 20 Dec 2017 03:30:24 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

The 2.0 series of GnuPG will stop receiving upstream support at the the
end of the year:

"GnuPG 2.0 is an older branch of GnuPG. This branch will reach end-of-life on
2017-12-31." [0]

These patches adjust the two packages that use gnupg-2.0 to prepare for removing
or deprecating that package.

[0] https://gnupg.org/download/index.html